package com.ltt.compass.weather.bean

import com.ltt.compass.weather.base.BaseData

class DailyDayWeatherData: BaseData() {
    /**
     * {
    "data":{
    "Headline":{
    "Category":"cooler",
    "EndEpochDate":1574852400,
    "EffectiveEpochDate":1574809200,
    "Severity":4,
    "Text":"星期三明显转冷",
    "EndDate":"2019-11-27T19:00:00+08:00",
    "Link":"http://m.weathercn.com/zh/cn/shenhe-district/2333188/daily-weather-forecast/2333188?unit=c&lang=zh-cn",
    "EffectiveDate":"2019-11-27T07:00:00+08:00",
    "MobileLink":"http://m.weathercn.com/zh/cn/shenhe-district/2333188/extended-weather-forecast/2333188?unit=c&lang=zh-cn"
    },
    "DailyForecasts":[
    {
    "Temperature":{
    "Minimum":{
    "UnitType":17,
    "Value":-15.0,
    "Unit":"C"
    },
    "Maximum":{
    "UnitType":17,
    "Value":-4.0,
    "Unit":"C"
    }
    },
    "Night":{
    "RainProbability":0,
    "Wind":{
    "Speed":{
    "UnitType":7,
    "Value":9.3,
    "Unit":"km/h"
    },
    "Direction":{
    "English":"NNE",
    "Degrees":23,
    "Localized":"东北偏北"
    }
    },
    "SnowProbability":0,
    "Snow":{
    "UnitType":4,
    "Value":0.0,
    "Unit":"cm"
    },
    "TotalLiquid":{
    "UnitType":3,
    "Value":0.0,
    "Unit":"mm"
    },
    "ShortPhrase":"晴朗寒冷",
    "Ice":{
    "UnitType":3,
    "Value":0.0,
    "Unit":"mm"
    },
    "HoursOfRain":0.0,
    "HoursOfIce":0.0,
    "Rain":{
    "UnitType":3,
    "Value":0.0,
    "Unit":"mm"
    },
    "PrecipitationProbability":0,
    "HasPrecipitation":false,
    "ThunderstormProbability":0,
    "IceProbability":0,
    "IconPhrase":"晴",
    "CloudCover":0,
    "LocalSource":{
    "WeatherCode":"00",
    "Id":7,
    "Name":"Huafeng"
    },
    "LongPhrase":"晴朗寒冷",
    "Icon":33,
    "WindGust":{
    "Speed":{
    "UnitType":7,
    "Value":14.8,
    "Unit":"km/h"
    },
    "Direction":{
    "English":"N",
    "Degrees":11,
    "Localized":"北"
    }
    },
    "HoursOfSnow":0.0,
    "HoursOfPrecipitation":0.0
    },
    "EpochDate":1574809200,
    "Moon":{
    "EpochSet":1574845020,
    "Set":"2019-11-27T16:57:00+08:00",
    "Phase":"WaxingCrescent",
    "EpochRise":1574809620,
    "Age":1,
    "Rise":"2019-11-27T07:07:00+08:00"
    },
    "DegreeDaySummary":{
    "Cooling":{
    "UnitType":17,
    "Value":0.0,
    "Unit":"C"
    },
    "Heating":{
    "UnitType":17,
    "Value":28.0,
    "Unit":"C"
    }
    },
    "RealFeelTemperatureShade":{
    "Minimum":{
    "UnitType":17,
    "Value":-15.0,
    "Unit":"C"
    },
    "Maximum":{
    "UnitType":17,
    "Value":-12.4,
    "Unit":"C"
    }
    },
    "AirAndPollen":[
    {
    "Type":"粉尘污染",
    "Category":"良好",
    "Value":22,
    "CategoryValue":1,
    "Name":"AirQuality"
    },
    {
    "Category":"低",
    "Value":0,
    "CategoryValue":1,
    "Name":"Grass"
    },
    {
    "Category":"低",
    "Value":0,
    "CategoryValue":1,
    "Name":"Mold"
    },
    {
    "Category":"低",
    "Value":0,
    "CategoryValue":1,
    "Name":"Ragweed"
    },
    {
    "Category":"低",
    "Value":0,
    "CategoryValue":1,
    "Name":"Tree"
    },
    {
    "Category":"低",
    "Value":2,
    "CategoryValue":1,
    "Name":"UVIndex"
    }
    ],
    "HoursOfSun":9.3,
    "Sun":{
    "EpochSet":1574842680,
    "Set":"2019-11-27T16:18:00+08:00",
    "EpochRise":1574808540,
    "Rise":"2019-11-27T06:49:00+08:00"
    },
    "Sources":[
    "中国天气通"
    ],
    "Date":"2019-11-27T07:00:00+08:00",
    "RealFeelTemperature":{
    "Minimum":{
    "UnitType":17,
    "Value":-15.0,
    "Unit":"C"
    },
    "Maximum":{
    "UnitType":17,
    "Value":-11.9,
    "Unit":"C"
    }
    },
    "Day":{
    "RainProbability":0,
    "Wind":{
    "Speed":{
    "UnitType":7,
    "Value":31.5,
    "Unit":"km/h"
    },
    "Direction":{
    "English":"N",
    "Degrees":5,
    "Localized":"北"
    }
    },
    "SnowProbability":13,
    "Snow":{
    "UnitType":4,
    "Value":0.0,
    "Unit":"cm"
    },
    "TotalLiquid":{
    "UnitType":3,
    "Value":0.0,
    "Unit":"mm"
    },
    "ShortPhrase":"晴，寒冷有风",
    "Ice":{
    "UnitType":3,
    "Value":0.0,
    "Unit":"mm"
    },
    "HoursOfRain":0.0,
    "HoursOfIce":0.0,
    "Rain":{
    "UnitType":3,
    "Value":0.0,
    "Unit":"mm"
    },
    "PrecipitationProbability":13,
    "HasPrecipitation":false,
    "ThunderstormProbability":0,
    "IceProbability":0,
    "IconPhrase":"晴",
    "CloudCover":1,
    "LocalSource":{
    "WeatherCode":"00",
    "Id":7,
    "Name":"Huafeng"
    },
    "LongPhrase":"晴，寒冷有风",
    "Icon":1,
    "WindGust":{
    "Speed":{
    "UnitType":7,
    "Value":79.6,
    "Unit":"km/h"
    },
    "Direction":{
    "English":"N",
    "Degrees":6,
    "Localized":"北"
    }
    },
    "HoursOfSnow":0.0,
    "HoursOfPrecipitation":0.0
    },
    "Link":"http://m.weathercn.com/zh/cn/shenhe-district/2333188/daily-weather-forecast/2333188?day=1&unit=c&lang=zh-cn",
    "MobileLink":"http://m.weathercn.com/zh/cn/shenhe-district/2333188/daily-weather-forecast/2333188?day=1&unit=c&lang=zh-cn"
    }
    ]
    }
    }*/

    /**
     * Headline : {"Category":"cooler","EndEpochDate":1574852400,"EffectiveEpochDate":1574809200,"Severity":4,"Text":"星期三明显转冷","EndDate":"2019-11-27T19:00:00+08:00","Link":"http://m.weathercn.com/zh/cn/shenhe-district/2333188/daily-weather-forecast/2333188?unit=c&lang=zh-cn","EffectiveDate":"2019-11-27T07:00:00+08:00","MobileLink":"http://m.weathercn.com/zh/cn/shenhe-district/2333188/extended-weather-forecast/2333188?unit=c&lang=zh-cn"}
     * DailyForecasts : [{"Temperature":{"Minimum":{"UnitType":17,"Value":-15,"Unit":"C"},"Maximum":{"UnitType":17,"Value":-4,"Unit":"C"}},"Night":{"RainProbability":0,"Wind":{"Speed":{"UnitType":7,"Value":9.3,"Unit":"km/h"},"Direction":{"English":"NNE","Degrees":23,"Localized":"东北偏北"}},"SnowProbability":0,"Snow":{"UnitType":4,"Value":0,"Unit":"cm"},"TotalLiquid":{"UnitType":3,"Value":0,"Unit":"mm"},"ShortPhrase":"晴朗寒冷","Ice":{"UnitType":3,"Value":0,"Unit":"mm"},"HoursOfRain":0,"HoursOfIce":0,"Rain":{"UnitType":3,"Value":0,"Unit":"mm"},"PrecipitationProbability":0,"HasPrecipitation":false,"ThunderstormProbability":0,"IceProbability":0,"IconPhrase":"晴","CloudCover":0,"LocalSource":{"WeatherCode":"00","Id":7,"Name":"Huafeng"},"LongPhrase":"晴朗寒冷","Icon":33,"WindGust":{"Speed":{"UnitType":7,"Value":14.8,"Unit":"km/h"},"Direction":{"English":"N","Degrees":11,"Localized":"北"}},"HoursOfSnow":0,"HoursOfPrecipitation":0},"EpochDate":1574809200,"Moon":{"EpochSet":1574845020,"Set":"2019-11-27T16:57:00+08:00","Phase":"WaxingCrescent","EpochRise":1574809620,"Age":1,"Rise":"2019-11-27T07:07:00+08:00"},"DegreeDaySummary":{"Cooling":{"UnitType":17,"Value":0,"Unit":"C"},"Heating":{"UnitType":17,"Value":28,"Unit":"C"}},"RealFeelTemperatureShade":{"Minimum":{"UnitType":17,"Value":-15,"Unit":"C"},"Maximum":{"UnitType":17,"Value":-12.4,"Unit":"C"}},"AirAndPollen":[{"Type":"粉尘污染","Category":"良好","Value":22,"CategoryValue":1,"Name":"AirQuality"},{"Category":"低","Value":0,"CategoryValue":1,"Name":"Grass"},{"Category":"低","Value":0,"CategoryValue":1,"Name":"Mold"},{"Category":"低","Value":0,"CategoryValue":1,"Name":"Ragweed"},{"Category":"低","Value":0,"CategoryValue":1,"Name":"Tree"},{"Category":"低","Value":2,"CategoryValue":1,"Name":"UVIndex"}],"HoursOfSun":9.3,"Sun":{"EpochSet":1574842680,"Set":"2019-11-27T16:18:00+08:00","EpochRise":1574808540,"Rise":"2019-11-27T06:49:00+08:00"},"Sources":["中国天气通"],"Date":"2019-11-27T07:00:00+08:00","RealFeelTemperature":{"Minimum":{"UnitType":17,"Value":-15,"Unit":"C"},"Maximum":{"UnitType":17,"Value":-11.9,"Unit":"C"}},"Day":{"RainProbability":0,"Wind":{"Speed":{"UnitType":7,"Value":31.5,"Unit":"km/h"},"Direction":{"English":"N","Degrees":5,"Localized":"北"}},"SnowProbability":13,"Snow":{"UnitType":4,"Value":0,"Unit":"cm"},"TotalLiquid":{"UnitType":3,"Value":0,"Unit":"mm"},"ShortPhrase":"晴，寒冷有风","Ice":{"UnitType":3,"Value":0,"Unit":"mm"},"HoursOfRain":0,"HoursOfIce":0,"Rain":{"UnitType":3,"Value":0,"Unit":"mm"},"PrecipitationProbability":13,"HasPrecipitation":false,"ThunderstormProbability":0,"IceProbability":0,"IconPhrase":"晴","CloudCover":1,"LocalSource":{"WeatherCode":"00","Id":7,"Name":"Huafeng"},"LongPhrase":"晴，寒冷有风","Icon":1,"WindGust":{"Speed":{"UnitType":7,"Value":79.6,"Unit":"km/h"},"Direction":{"English":"N","Degrees":6,"Localized":"北"}},"HoursOfSnow":0,"HoursOfPrecipitation":0},"Link":"http://m.weathercn.com/zh/cn/shenhe-district/2333188/daily-weather-forecast/2333188?day=1&unit=c&lang=zh-cn","MobileLink":"http://m.weathercn.com/zh/cn/shenhe-district/2333188/daily-weather-forecast/2333188?day=1&unit=c&lang=zh-cn"}]
     */

    var data: DailyDayWeatherDataBean? = null
    class DailyDayWeatherDataBean {
        var Headline: HeadlineBean? = null
        var DailyForecasts: List<DailyForecastsBean>? = null

        class HeadlineBean {
            /**
             * Category : cooler
             * EndEpochDate : 1574852400
             * EffectiveEpochDate : 1574809200
             * Severity : 4
             * Text : 星期三明显转冷
             * EndDate : 2019-11-27T19:00:00+08:00
             * Link : http://m.weathercn.com/zh/cn/shenhe-district/2333188/daily-weather-forecast/2333188?unit=c&lang=zh-cn
             * EffectiveDate : 2019-11-27T07:00:00+08:00
             * MobileLink : http://m.weathercn.com/zh/cn/shenhe-district/2333188/extended-weather-forecast/2333188?unit=c&lang=zh-cn
             */
            var Category: String? = null
            var EndEpochDate = 0
            var EffectiveEpochDate = 0
            var Severity = 0
            var Text: String? = null
            var EndDate: String? = null
            var Link: String? = null
            var EffectiveDate: String? = null
            var MobileLink: String? = null
        }

        class DailyForecastsBean {
            /**
             * Temperature : {"Minimum":{"UnitType":17,"Value":-15,"Unit":"C"},"Maximum":{"UnitType":17,"Value":-4,"Unit":"C"}}
             * Night : {"RainProbability":0,"Wind":{"Speed":{"UnitType":7,"Value":9.3,"Unit":"km/h"},"Direction":{"English":"NNE","Degrees":23,"Localized":"东北偏北"}},"SnowProbability":0,"Snow":{"UnitType":4,"Value":0,"Unit":"cm"},"TotalLiquid":{"UnitType":3,"Value":0,"Unit":"mm"},"ShortPhrase":"晴朗寒冷","Ice":{"UnitType":3,"Value":0,"Unit":"mm"},"HoursOfRain":0,"HoursOfIce":0,"Rain":{"UnitType":3,"Value":0,"Unit":"mm"},"PrecipitationProbability":0,"HasPrecipitation":false,"ThunderstormProbability":0,"IceProbability":0,"IconPhrase":"晴","CloudCover":0,"LocalSource":{"WeatherCode":"00","Id":7,"Name":"Huafeng"},"LongPhrase":"晴朗寒冷","Icon":33,"WindGust":{"Speed":{"UnitType":7,"Value":14.8,"Unit":"km/h"},"Direction":{"English":"N","Degrees":11,"Localized":"北"}},"HoursOfSnow":0,"HoursOfPrecipitation":0}
             * EpochDate : 1574809200
             * Moon : {"EpochSet":1574845020,"Set":"2019-11-27T16:57:00+08:00","Phase":"WaxingCrescent","EpochRise":1574809620,"Age":1,"Rise":"2019-11-27T07:07:00+08:00"}
             * DegreeDaySummary : {"Cooling":{"UnitType":17,"Value":0,"Unit":"C"},"Heating":{"UnitType":17,"Value":28,"Unit":"C"}}
             * RealFeelTemperatureShade : {"Minimum":{"UnitType":17,"Value":-15,"Unit":"C"},"Maximum":{"UnitType":17,"Value":-12.4,"Unit":"C"}}
             * AirAndPollen : [{"Type":"粉尘污染","Category":"良好","Value":22,"CategoryValue":1,"Name":"AirQuality"},{"Category":"低","Value":0,"CategoryValue":1,"Name":"Grass"},{"Category":"低","Value":0,"CategoryValue":1,"Name":"Mold"},{"Category":"低","Value":0,"CategoryValue":1,"Name":"Ragweed"},{"Category":"低","Value":0,"CategoryValue":1,"Name":"Tree"},{"Category":"低","Value":2,"CategoryValue":1,"Name":"UVIndex"}]
             * HoursOfSun : 9.3
             * Sun : {"EpochSet":1574842680,"Set":"2019-11-27T16:18:00+08:00","EpochRise":1574808540,"Rise":"2019-11-27T06:49:00+08:00"}
             * Sources : ["中国天气通"]
             * Date : 2019-11-27T07:00:00+08:00
             * RealFeelTemperature : {"Minimum":{"UnitType":17,"Value":-15,"Unit":"C"},"Maximum":{"UnitType":17,"Value":-11.9,"Unit":"C"}}
             * Day : {"RainProbability":0,"Wind":{"Speed":{"UnitType":7,"Value":31.5,"Unit":"km/h"},"Direction":{"English":"N","Degrees":5,"Localized":"北"}},"SnowProbability":13,"Snow":{"UnitType":4,"Value":0,"Unit":"cm"},"TotalLiquid":{"UnitType":3,"Value":0,"Unit":"mm"},"ShortPhrase":"晴，寒冷有风","Ice":{"UnitType":3,"Value":0,"Unit":"mm"},"HoursOfRain":0,"HoursOfIce":0,"Rain":{"UnitType":3,"Value":0,"Unit":"mm"},"PrecipitationProbability":13,"HasPrecipitation":false,"ThunderstormProbability":0,"IceProbability":0,"IconPhrase":"晴","CloudCover":1,"LocalSource":{"WeatherCode":"00","Id":7,"Name":"Huafeng"},"LongPhrase":"晴，寒冷有风","Icon":1,"WindGust":{"Speed":{"UnitType":7,"Value":79.6,"Unit":"km/h"},"Direction":{"English":"N","Degrees":6,"Localized":"北"}},"HoursOfSnow":0,"HoursOfPrecipitation":0}
             * Link : http://m.weathercn.com/zh/cn/shenhe-district/2333188/daily-weather-forecast/2333188?day=1&unit=c&lang=zh-cn
             * MobileLink : http://m.weathercn.com/zh/cn/shenhe-district/2333188/daily-weather-forecast/2333188?day=1&unit=c&lang=zh-cn
             */
            var Temperature: TemperatureBean? = null
            var Night: DayBean? = null
            var EpochDate = 0
            var Moon: MoonBean? = null
            var DegreeDaySummary: DegreeDaySummaryBean? = null
            var RealFeelTemperatureShade: RealFeelTemperatureShadeBean? = null
            var HoursOfSun = 0.0
            var Sun: SunBean? = null
            var Date: String? = null
            var RealFeelTemperature: RealFeelTemperatureBean? = null
            var Day: DayBean? = null
            var Link: String? = null
            var MobileLink: String? = null
            var AirAndPollen: List<AirAndPollenBean>? = null
            var Sources: List<String>? = null

            class TemperatureBean {
                /**
                 * Minimum : {"UnitType":17,"Value":-15,"Unit":"C"}
                 * Maximum : {"UnitType":17,"Value":-4,"Unit":"C"}
                 */
                var Minimum: UnitBean? = null
                var Maximum: UnitBean? = null
            }

            class MoonBean {
                /**
                 * EpochSet : 1574845020
                 * Set : 2019-11-27T16:57:00+08:00
                 * Phase : WaxingCrescent
                 * EpochRise : 1574809620
                 * Age : 1
                 * Rise : 2019-11-27T07:07:00+08:00
                 */
                var EpochSet = 0
                var Set: String? = null
                var Phase: String? = null
                var EpochRise = 0
                var Age = 0
                var Rise: String? = null
            }

            class DegreeDaySummaryBean {
                /**
                 * Cooling : {"UnitType":17,"Value":0,"Unit":"C"}
                 * Heating : {"UnitType":17,"Value":28,"Unit":"C"}
                 */
                var Cooling: UnitBean? = null
                var Heating: UnitBean? = null
            }

            class RealFeelTemperatureShadeBean {
                /**
                 * Minimum : {"UnitType":17,"Value":-15,"Unit":"C"}
                 * Maximum : {"UnitType":17,"Value":-12.4,"Unit":"C"}
                 */
                var Minimum: UnitBean? = null
                var Maximum: UnitBean? = null
            }

            class SunBean {
                /**
                 * EpochSet : 1574842680
                 * Set : 2019-11-27T16:18:00+08:00
                 * EpochRise : 1574808540
                 * Rise : 2019-11-27T06:49:00+08:00
                 */
                var EpochSet = 0
                var Set: String? = null
                var EpochRise = 0
                var Rise: String? = null
            }

            class RealFeelTemperatureBean {
                /**
                 * Minimum : {"UnitType":17,"Value":-15,"Unit":"C"}
                 * Maximum : {"UnitType":17,"Value":-11.9,"Unit":"C"}
                 */
                var Minimum: UnitBean? = null
                var Maximum: UnitBean? = null
            }

            class DayBean {
                /**
                 * RainProbability : 0
                 * Wind : {"Speed":{"UnitType":7,"Value":31.5,"Unit":"km/h"},"Direction":{"English":"N","Degrees":5,"Localized":"北"}}
                 * SnowProbability : 13
                 * Snow : {"UnitType":4,"Value":0,"Unit":"cm"}
                 * TotalLiquid : {"UnitType":3,"Value":0,"Unit":"mm"}
                 * ShortPhrase : 晴，寒冷有风
                 * Ice : {"UnitType":3,"Value":0,"Unit":"mm"}
                 * HoursOfRain : 0
                 * HoursOfIce : 0
                 * Rain : {"UnitType":3,"Value":0,"Unit":"mm"}
                 * PrecipitationProbability : 13
                 * HasPrecipitation : false
                 * ThunderstormProbability : 0
                 * IceProbability : 0
                 * IconPhrase : 晴
                 * CloudCover : 1
                 * LocalSource : {"WeatherCode":"00","Id":7,"Name":"Huafeng"}
                 * LongPhrase : 晴，寒冷有风
                 * Icon : 1
                 * WindGust : {"Speed":{"UnitType":7,"Value":79.6,"Unit":"km/h"},"Direction":{"English":"N","Degrees":6,"Localized":"北"}}
                 * HoursOfSnow : 0
                 * HoursOfPrecipitation : 0
                 */
                var RainProbability = 0
                var Wind: DailyWindBean? = null
                var SnowProbability = 0
                var Snow: UnitBean? = null
                var TotalLiquid: UnitBean? = null
                var ShortPhrase: String? = null
                var Ice: UnitBean? = null
                var HoursOfRain = 0.0
                var HoursOfIce = 0
                var Rain: UnitBean? = null
                var PrecipitationProbability = 0
                var IsHasPrecipitation = false
                var ThunderstormProbability = 0
                var IceProbability = 0
                var IconPhrase: String? = null
                var CloudCover = 0
                var LocalSource: LocalSourceBean? = null
                var LongPhrase: String? = null
                var Icon = 0
                var WindGust: WindBean? = null
                var HoursOfSnow = 0
                var HoursOfPrecipitation = 0.0
            }

            class AirAndPollenBean {
                /**
                 * Type : 粉尘污染
                 * Category : 良好
                 * Value : 22
                 * CategoryValue : 1
                 * Name : AirQuality
                 */
                var Type: String? = null
                var Category: String? = null
                var Value = 0
                var CategoryValue = 0
                var Name: String? = null
            }


            class DailyWindBean {
                /**
                 * Speed : {"UnitType":7,"Value":18.4,"Unit":"km/h"}
                 * Direction : {"English":"S","Degrees":180,"Localized":"南"}
                 */
                var Speed: UnitBean? = null
                var Direction: WindDirectionBean? = null
            }
        }
    }

}