//package com.dotools.weather.contract
//
//import com.dotools.weather.base.BasePresenter
//import com.dotools.weather.base.IBaseModel
//import com.dotools.weather.base.IBaseView
//import com.dotools.weather.bean.CityData
//
//interface MainContract {
//    interface IMainModel : IBaseModel { //V层
//        fun getCityList(): ArrayList<CityData.CityDataBean>?
//        fun getNewCity(cityId: String): CityData.CityDataBean?
//        fun saveCity(city: CityData.CityDataBean)
//        fun updateCity(city: CityData.CityDataBean)
//    }
//
//    interface IMainView : IBaseView { //V层
//        fun initLocation()
//        fun locationSuccess()
//        fun locationError()
//        fun getCitySuccess(cityList: List<CityData.CityDataBean>)
//        fun addNewCity(city:CityData.CityDataBean)
//        fun getCityError()
//    }
//
//    abstract class MainPresenter : BasePresenter<IMainView>() { //P层
//        abstract fun startLocation()
//        abstract fun searchCity(longitude: String, latitude: String)
//        abstract fun searchCity(ip: String)
//        abstract fun getNewCity(cityId: String)
//        abstract fun getCityList()
//    }
//}