//package com.dotools.weather.model
//
//import android.content.Context
//import com.dotools.weather.bean.CityData
//import com.dotools.weather.bean.CurrentWeatherData
//import com.dotools.weather.contract.CityManageContract
//import com.dotools.weather.util.DataBaseOpenHelper
//import com.google.gson.Gson
//
//class CityManageModelImp : CityManageContract.ICityManageModel {
//    private var mHelper: DataBaseOpenHelper? = null
//    private var mGson = Gson()
//
//    override fun initDb(context: Context) {
//        if (mHelper == null) {
//            mHelper = DataBaseOpenHelper.getInstance(context, DataBaseOpenHelper.DB_NAME, DataBaseOpenHelper.DB_VERSION)
//        }
//    }
//
//
//    override fun getCity(): List<CityData.CityDataBean> {
//        val cursor = mHelper!!.query(DataBaseOpenHelper.DB_TABLE_NAME, " order by " + DataBaseOpenHelper.CITY_ORDER + " desc")
//        val list = ArrayList<CityData.CityDataBean>()
//        if (cursor.count > 0) {
//            while (cursor.moveToNext()) {
//                val cityData = mGson.fromJson(cursor.getString(cursor.getColumnIndex(DataBaseOpenHelper.CITY_JSON)), CityData.CityDataBean::class.java)
//                cityData.cityId = cursor.getString(cursor.getColumnIndex(DataBaseOpenHelper.CITY_ID))
//                cityData.cityOrder = cursor.getInt(cursor.getColumnIndex(DataBaseOpenHelper.CITY_ORDER))
//                list.add(cityData)
//            }
//        }
//        closeDb()
//        return list
//    }
//
//    override fun getWeather(): List<CurrentWeatherData.CurrentWeatherDataBean> {
//        val cursor = mHelper!!.query(DataBaseOpenHelper.DB_TABLE_NAME, " order by " + DataBaseOpenHelper.CITY_ORDER + " desc")
//        val list = ArrayList<CurrentWeatherData.CurrentWeatherDataBean>()
//        if (cursor.count > 0) {
//            while (cursor.moveToNext()) {
//                val weatherData = mGson.fromJson(cursor.getString(cursor.getColumnIndex(DataBaseOpenHelper.CURRENT_WEATHER_JSON)), CurrentWeatherData::class.java)
//                if (weatherData != null) {
//                    if(weatherData.data!=null){
//                        list.addAll(weatherData.data!!)
//                    }
//                }
//            }
//        }
//        closeDb()
//        return list
//    }
//
//    override fun deleteCity(cityId: String): Int {
//        val flag = mHelper!!.delete(DataBaseOpenHelper.DB_TABLE_NAME, DataBaseOpenHelper.CITY_ID + "=?", arrayOf(cityId))
//        closeDb()
//        return flag
//    }
//
//
//    override fun closeDb() {
//        mHelper?.close()
//    }
//
//}