//package com.dotools.weather.presenter
//
//import android.annotation.SuppressLint
//import com.dotools.umlibrary.UMPostUtils
//import com.dotools.weather.AppConfig
//import com.dotools.weather.api.ApiConstants
//import com.dotools.weather.api.ResultCallBack
//import com.dotools.weather.api.RetrofitRequest
//import com.dotools.weather.bean.CityData
//import com.dotools.weather.contract.MainContract
//import com.dotools.weather.location.LocationCallBack
//import com.dotools.weather.location.LocationImpl
//import com.dotools.weather.location.LocationResult
//import com.dotools.weather.model.MainModelImp
//import com.dotools.weather.util.HttpPostRequestUtil
//
//@SuppressLint("SyntheticAccessor")
//class MainPresenterImp : MainContract.MainPresenter() {
//    private var mLocationImpl: LocationImpl? = null
//    private val mModel = MainModelImp()
//    private var cityList = ArrayList<CityData.CityDataBean>()
//
//    override fun initDb() {
//        mModel.initDb(mViewRef?.get()!!.getContext())
//        RetrofitRequest.getInstance().setApiBaseUrl(ApiConstants.BASE_URL)
//    }
//
//    override fun startLocation() {
//        if (mLocationImpl == null) {
//            mLocationImpl = LocationImpl()
//            mLocationImpl!!.initLocation(mViewRef!!.get()!!.getContext(), object : LocationCallBack {
//                override fun onLocation(locationResult: LocationResult?) {
//                    mLocationImpl!!.stopLocation()
//                    if (locationResult == null) {
//                        mViewRef?.get()?.getContext()?.let { UMPostUtils.onEvent(it, AppConfig.GPS_LOCATE_FAILED) }
//                        mViewRef?.get()?.locationError()
//                    } else {
//                        mViewRef?.get()?.getContext()?.let { UMPostUtils.onEvent(it, AppConfig.GPS_LOCATE_SUCCEED) }
//                        if (cityList.size == 0) {
//                            mViewRef?.get()?.locationSuccess()
//                        }
//                        searchCity(locationResult.longitude, locationResult.latitude)
//                    }
//                }
//            })
//        }
//        mLocationImpl!!.startLocation()
//    }
//
//    override fun searchCity(longitude: String, latitude: String) {
//        sendCityPost(ApiConstants.SEARCH_CITY_LONGITUDE_URL, HttpPostRequestUtil.cityForLongitude(longitude, latitude))
//    }
//
//    override fun searchCity(ip: String) {
//        sendCityPost(ApiConstants.SEARCH_CITY_IP_URL, HttpPostRequestUtil.cityForIp(ip))
//    }
//
//    override fun getNewCity(cityId: String) {
//        val city = mModel.getNewCity(cityId)
//        if (city != null) {
//            mViewRef?.get()?.addNewCity(city)
//        }
//    }
//
//    /**
//     * 发送城市请求
//     */
//    private fun sendCityPost(url: String, postMap: HashMap<String, String>) {
//        RetrofitRequest.getInstance().sendPostMapRequest(url, postMap, object : ResultCallBack<CityData> {
//
//            override fun onReadyResult() {
//            }
//
//
//            override fun onSuccess(t: CityData) {
//                if (t.statusCode == 200) {
//                    checkDbCity(t.data!![0])
//                } else {
//                    mViewRef?.get()?.getCityError()
//                    postErrorUm(t.statusCode, "MainPresenter-City:"+t.errorMsg!!)
//                }
//            }
//
//            override fun onSuccessJson(json: String) {
//            }
//
//            override fun onFailure(code: Int, msg: String) {
//                postErrorUm(code, "MainPresenter-City:$msg")
//            }
//        })
//    }
//
//    override fun getCityList() {
//        cityList = mModel.getCityList()
//        if (cityList.size > 0) {
//            mViewRef?.get()?.getCitySuccess(cityList)
//        }
//    }
//
//    private fun checkDbCity(city: CityData.CityDataBean) {
//        if (cityList.size > 0) {
//            if (city.Key != cityList[0].cityId) {
//                city.cityId = city.Key
//                city.cityOrder = 0
//                mModel.updateCity(city)
//                cityList.removeAt(0)
//                cityList.add(0, city)
//                mViewRef?.get()?.getCitySuccess(cityList)
//            }
//        } else {
//            mModel.saveCity(city)
//            cityList.add(city)
//            mViewRef?.get()?.getCitySuccess(cityList)
//        }
//    }
//
//    private fun postErrorUm(errorCode: Int, msg: String) {
//        mViewRef!!.get()!!.showError("服务器繁忙")
//        val map = java.util.HashMap<String, String>()
//        map["error"] = "code:$errorCode-$msg"
//        UMPostUtils.onEventMap(mViewRef!!.get()!!.getContext(), AppConfig.SERVICE_BUSY_NO_DATA, map)
//    }
//}