package com.ltt.compass.weather

import com.tools.permissions.library.Permissions

object AppConfig {



    /**
     * 权限
     */
    val pers = arrayOf(Permissions.READ_EXTERNAL_STORAGE, Permissions.WRITE_EXTERNAL_STORAGE, Permissions.READ_PHONE_STATE, Permissions.ACCESS_FINE_LOCATION, Permissions.ACCESS_COARSE_LOCATION)
    const val WEATHER_TAG = "weather_do"
    const val WEATHER_LANGUAGE = "zh-cn"
    /**
     * 城市管理操作
     */
    const val ADD_CITY_RESULT_CODE = 10
    const val CITY_CHANGE_ACTION = "city_change_action"
    const val CITY_CHANGE_TYPE = "city_change_type"
    const val CITY_ADD_TYPE = 0
    const val CITY_DELETE_TYPE = 1
    const val CITY_SELECT_TYPE = 2
    const val CITY_ID = "city_id"
    /**
     * 温度单位变换刷新
     */
    const val WEATHER_METRIC_ACTION = "weather_metric_action"
    //广点通APP ID
    const val GDTAPPID = "1102305146"
    //今日头条APP ID
    const val TTAPPID = "5011274"
    //今日头条信息流
    const val TT_INFO_ID_ONE = "945433793"
    //今日头条信息流
    const val TT_INFO_ID_TWO = "945433789"
    //今日头条信息流
    const val TT_REWARD_ID = "945042437"


    //闪屏ggid
    const val NativePosID_Splash = "9040721982478172"
    //今日头条闪屏ggid
    const val TT_PosID_Splash = "811458362"


    /**
     * 统计
     */
    const val SERVICE_BUSY_NO_DATA = "service_busy_no_data"
    const val GPS_LOCATE_FAILED = "gps_locate_failed"
    const val GPS_LOCATE_SUCCEED = "gps_locate_succeed"
    const val CITY_DELETE = "city_delete"
    const val CITY_ADD_NUM = "city_add_num"
    const val BOX = "newh5box_click"
    const val FP_ADD_CLICK = "fp_add_click"
    const val AQI_CLICK = "aqi_click"
    const val ADD_CITY_CLICK = "add_city_click"//添加城市点击数
    const val ADD_VIDEO_CLICK = "add_video_click"//添加城市_播放视频点击数
    const val ADD_VIDEO_CANCEL = "add_video_cancel"//添加城市_视频取消点击数
    const val SEARCH_CLICK = "search_click"//搜索点击数




    const val LIST_VIDEO1_SHOW = "jrtt_listvideo1_show"//视频广告1展示数
    const val LIST_VIDEO1_CLICK = "jrtt_listvideo1_click"//视频广告1点击数
    const val LIST_VIDEO1_FAILED = "jrtt_listvideo1_pullfailed"//视频广告1获取失败
    const val LIST_VIDEO1_PULLSUCESS = "jrtt_listvideo1_pullsucceed"//视频广告1拉取成功

    const val LIST_VIDEO2_SHOW = "jrtt_listvideo2_show"//视频广告2展示数
    const val LIST_VIDEO2_CLICK = "jrtt_listvideo2_click"//视频广告2点击
    const val LIST_VIDEO2_FAILED = "jrtt_listvideo2_pullfailed"//视频广告2获取失败
    const val LIST_VIDEO2_PULLSUCESS = "jrtt_listvideo2_pullsucceed"//视频广告2拉取成功

    const val ADD_CITY_MOVIDEO_PLAY = "add_city_movideo_play"//添加城市_激励视频播放数
    const val ADD_CITY_MOVIDEO_CLICK = "add_city_movideo_click"//添加城市_激励视频点击数
    const val ADD_CITY_MOVIDEO_FAILED = "add_city_movideo_failed"//添加城市_激励视频获取失败

    var CITYID=""

}