package com.ltt.compass.weather.base

import android.content.Context
import android.os.Bundle

abstract class BaseMvpActivity<P : BasePresenter<*>>  : BaseActivity(), IBaseView {
    lateinit var presenter: P
    override fun onCreate(savedInstanceState: Bundle?) {
        presenter = initPresenter()
        presenter.attachView(this)
        super.onCreate(savedInstanceState)
    }


    override fun getContext(): Context {
        return applicationContext
    }


    /**初始化presenter**/
    abstract fun initPresenter(): P




}