package com.ltt.compass.weather.bean

import com.ltt.compass.weather.base.BaseData


/**
 * 空气质量
 */
class ObservationData: BaseData() {
    /**
     * {
    "data":{
    "CarbonMonoxide":0.000,
    "ParticulateMatter2_5":14.0,
    "EpochDate":1574823600,
    "Ozone":38.000,
    "Index":38,
    "ParticulateMatter10":38.0,
    "Date":"2019-11-27T11:00:00+08:00",
    "NitrogenDioxide":13.000,
    "Source":"MEP"
    },
    "dictionaryArray":{},
    "statusCode":200,
    "timeStamp":1574825551
    }
     */
    var data:ObservationDataBean? = null
    class ObservationDataBean {
        var CarbonMonoxide: Double = 0.0
        var ParticulateMatter2_5: Double = 0.0
        var EpochDate: Int = 0
        var Ozone: Double = 0.0
        var Index: Int = 0
        var ParticulateMatter10: Double = 0.0
        var Date: String? = null
        var NitrogenDioxide: Double = 0.0
        var NitrogenMonoxide: Double = 0.0
        var Source: String? = null
    }
}