package com.ltt.compass.weather.bean

import com.ltt.compass.weather.base.BaseData


/**
 * 指数
 */
class WeatherIndices : BaseData(){
    /**
     * LocalDateTime : 2019-12-04T07:00:00+08:00
     * Category : 中性
     * EpochDateTime : 1575414000
     * Value : 2.6
     * CategoryValue : 2
     * Text : 这种天气对感冒的概率、严重程度和持续时间没有明显影响。
     * ID : 25
     * Ascending : false
     * Link : http://m.weathercn.com/zh/cn/shenhe-district/2333188/cold-flu-weather/2333188?lang=zh-cn
     * Name : 感冒预报
     * MobileLink : http://m.weathercn.com/zh/cn/shenhe-district/2333188/common-cold/2333188?lang=zh-cn
     */
    var data: List<WeatherIndicesBean>? = null

    class WeatherIndicesBean {
        var LocalDateTime: String? = null
        var Category: String? = null
        var EpochDateTime = 0
        var Value = 0.0
        var CategoryValue = 0
        var Text: String? = null
        var ID = 0
        var Ascending = false
        var Link: String? = null
        var Name: String? = null
        var MobileLink: String? = null
    }
}